#ifndef _IAUDIOSESSIONNOTIFICATION_H_
#define _IAUDIOSESSIONNOTIFICATION_H_

#include <combaseapi.h>
#include <audiopolicy.h>
#include <stdio.h>
#include <Windows.h>

#ifndef __myIAudioSessionNotification_FWD_DEFINED__
#define __myIAudioSessionNotification_FWD_DEFINED__
typedef interface myIAudioSessionNotification myIAudioSessionNotification;

#endif 	/* __myIAudioSessionNotification_FWD_DEFINED__ */

HRESULT STDMETHODCALLTYPE IAudioSessionNotificationQueryInterface(IAudioSessionNotification*, REFIID, void**);
ULONG STDMETHODCALLTYPE IAudioSessionNotificationAddRef(IAudioSessionNotification*);
ULONG STDMETHODCALLTYPE IAudioSessionNotificationRelease(IAudioSessionNotification*);
HRESULT IAudioSessionNotificationOnSessionCreated(IAudioSessionNotification*, IAudioSessionControl*);

//HRESULT InitializeAudioSessionNotification(IAudioSessionNotification**, IAudioSessionControl***, int*);
HRESULT InitializeAudioSessionNotification(IAudioSessionNotification**, IAudioSessionControl***, int*);

interface myIAudioSessionNotification {
    CONST_VTBL struct IAudioSessionNotificationVtbl* lpVtbl;
    ULONG cRef;
    const IAudioSessionControl *** pppAudioSessionControlInterfaces;
    int * pNumberAudioSessionControls;
};

#endif